import json

import fjson
import numpy

name = "Xiao-Gimbutas 15"
filename = "xg15.json"
with open(filename, "r") as f:
    content = json.load(f)


degree = content["degree"]
weights = numpy.array(content["weights"])
bary = numpy.array(content["bary"])

wp = numpy.column_stack([weights, bary])

c = {
    "name": name,
    "domain": "T3",
    "degree": degree,
    "test_tolerance": 1.0e-100,
    "data": {"plain": wp.T},
}


with open(filename, "w") as f:
    fjson.dump(c, f, indent=2, float_format=".15e")
